PSERVE3(1)

NAME
pserve3 - Python 3 Pyramid command

DESCRIPTION
usage: pserve3 [-h] [-n NAME] [-s SERVER_TYPE] [--server-name SECTION_NAME]

    [--reload] [--reload-interval RELOAD_INTERVAL] [-b] [-v] [-q] [config_uri] [config_vars ...]

This command serves a web application that uses a PasteDeploy configuration file for the server and application.

You can also include variable assignments like 'http_port=8080' and then use %(http_port)s in your config files.

  positional arguments:

config_uri
    The URI to the configuration file.

config_vars
    Variables required by the config file. For example, `http_port=%(http_port)s` would expect `http_port=8080` to be passed here.

  optional arguments:

-h, --help
    show this help message and exit

-n NAME, --app-name NAME
    Load the named application (default main)

-s SERVER_TYPE, --server SERVER_TYPE
    Use the named server.

--server-name SECTION_NAME
    Use the named server as defined in the configuration file (default: main)

--reload
    Use auto-restart file monitor

--reload-interval RELOAD_INTERVAL
    Seconds between checking files (low number can cause significant CPU usage)

-b, --browser
    Open a web browser to the server url. The server url is determined from the 'open_url' setting in the 'pserve' section of the configuration file.

-v, --verbose
    Set verbose level (default 1)

-q, --quiet
    Suppress verbose output